Package org.apache.ignite.internal

## Interface GridInternalWrapper<T>

All Known Implementing Classes:
  `AbstractSecurityAwareExternalizable`, `GridClosureProcessor.C1`, `GridClosureProcessor.C1MLA`, `GridClosureProcessor.C2`, `GridClosureProcessor.C2MLA`, `GridClosureProcessor.C4`, `GridClosureProcessor.C4MLA`, `SecurityAwareBiPredicate`, `SecurityAwareFilter`, `SecurityAwareFilterFactory`, `SecurityAwarePredicate`, `SecurityAwareTransformerFactory`

    public interface GridInternalWrapper<T>

Internal wrapper interface for custom resource injection logic.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `userObject()` Get user object where resources must be injected.

### Method Detail

#### userObject

    T userObject()

Get user object where resources must be injected.

Returns:
  User object.